Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361410

Summary: Review Request: python-pytest-timeout - py.test plugin to abort hanging tests
Product: [Fedora] Fedora Reporter: Scott Talbert <swt>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jujens, package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-22 16:52:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1360383    

Description Scott Talbert 2016-07-29 03:58:24 UTC
Spec URL: https://www.techie.net/~talbert/python-pytest-timeout.spec
SRPM URL: https://www.techie.net/~talbert/python-pytest-timeout-1.0.0-1.fc24.src.rpm
Description: This is a plugin which will terminate tests after a certain timeout. When doing so it will show a stack dump of all threads running at the time. This is useful when running tests under a continuous integration server or simply if you don’t know why the test suite hangs.
Fedora Account System Username: swt2c

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-11 02:13:17 UTC
%description should be wrapped to 80 columns (it's currently a big jagged).

.spec file has some trailing whitespace.

.egg-info doesn't need to be removed in %prep.

It isn't strictly required, but it's considered good practice to specify more specific patterns in %files:

%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-egg.info...

+ package name is OK
+ latest version
+ license is acceptable (MIT)
+ license is specified correctly
+ builds and installs OK
+ modern python packaging template is used
+ R/P/BR look OK
+ %python_provide macro is used
+ no scriptlets present or necessary
+ rpmlint only bogus warnings about spelling

Package is APPROVED.

Comment 2 Gwyn Ciesla 2016-08-11 15:31:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytest-timeout

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-11 22:30:34 UTC
*** Bug 1366354 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2016-08-12 00:43:59 UTC
python-pytest-timeout-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f937ec502e

Comment 5 Fedora Update System 2016-08-12 00:44:30 UTC
python-pytest-timeout-1.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56275923d3

Comment 6 Fedora Update System 2016-08-12 00:45:00 UTC
python-pytest-timeout-1.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1406ec19ee

Comment 7 Fedora Update System 2016-08-12 14:27:42 UTC
python-pytest-timeout-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f937ec502e

Comment 8 Fedora Update System 2016-08-12 20:52:32 UTC
python-pytest-timeout-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1406ec19ee

Comment 9 Fedora Update System 2016-08-12 20:52:32 UTC
python-pytest-timeout-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56275923d3

Comment 10 Fedora Update System 2016-08-22 16:52:45 UTC
python-pytest-timeout-1.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-22 19:20:24 UTC
python-pytest-timeout-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-27 10:38:36 UTC
python-pytest-timeout-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.